1.2. Compatibilidad de aplicación

Este lanzamiento de Red Hat Enterprise Linux pone a su disposición dependencias para que las aplicaciones diseñadas para ejecutarse en versiones anteriores delsistema operativo sigan ejecutándose con muy pocas interrupciones. Con ese fin, se incluyen versiones anteriores de bibliotecas clave para preservar interfaces de legado que podrían haber cambiado entre este lanzamiento y versiones anteriores. Estas bibliotecas sirven principalmente como dependencias para aplicaciones escritas en C/C++.
Por favor tenga en cuenta que no se necesita volver a probar o recertificar aplicaciones entre lanzamientos menores de Red Hat Enterprise Linux. Las políticas de compatibilidad de Red Hat Enterprise Linux garantizan que las aplicaciones que se ejecutan en una versión del lanzamiento continuarán ejecutándose en vida del lanzamiento. Por ejemplo, las aplicaciones certificadas en Red Hat Enterprise Linux 6.0 serán totalmente compatibles con Red Hat Enterprise Linux 6.1 y así sucesivamente.
Consulte la siguiente tabla para obtener información sobre estos paquetes de compatibilidad:

Tabla 1.1. Bibliotecas de compatibilidad

Paquete Descripción
compat-db La biblioteca de compatibilidad de base de datos de Berkeley. La base de datos de Berkeley (Berkeley DB) es una herramienta programática que proporciona soporte incorporado de base de datos para aplicaciones cliente/servidor. Este paquete contiene varias sesiones de Berkeley DB, las cuales se incluían en lanzamientos anteriores.
compat-expat1 Expat es un analizador XML orientado de flujo. Este paquete es compatible con bibliotecas de versiones anteriores.
compat-glibc glibc es la biblioteca C utilizada para llamadas al sistema y otros servicios básicos. Este paquete es compatible (y las bibliotecas de tiempo de ejecución) para la recopilación de binarios que requieren versiones anteriores de glibc, y les permite ejecutarse en este lanzamiento de Red Hat Enterprise Linux.
compat-libf2c-34 Este paquete pone a su disposición versiones anteriores de bibliotecas compartidas de Fortran 77, necesarias para ejecutar en forma dinámica programas relacionados a Fortran 77.
compat-libgcc-296 Contiene la biblioteca 2.96 libgcc.a y archivos de objeto de apoyo para retener compatibilidad con versiones anteriores de GCC.
compat-libgfortran-41 Este paquete incluye un tiempo de ejecución Fortran 95 para compatibilidad con aplicaciones recopiladas Fortran GCC 4.1.x.
compat-libstdc++-295 Es compatible con la versión 2.95 de la biblioteca estándar C++.
compat-libstdc++-296 Es compatible con la versión 2.96 de la biblioteca GNU estándar C ++.
compat-libstdc++-33 Es compatible con la versión 3.3 de la biblioteca estándar C++.
compat-libtermcap Este paquete es compatible con programas basados en termcap.
compat-openldap OpenLDAP es un paquete de aplicaciones LDAP (Protocolo ligero de acceso a directorios) y herramientas de desarrollo. El paquete compat-openldap incluye versiones anteriores de las bibliotecas compartidas de OpenLDAP, las cuales pueden ser requeridas por algunas aplicaciones.
openssl098e Este paquete proporciona OpenSSL 0.98e, el cual se requiere para algunas aplicaciones SSL.